<?php include 'header.php' ?>
<?php
include 'config.php';

// Insetion logic
if (isset($_POST['submit'])) {
    // Get data from the form
    $content = $_POST['content'];
    $name = $_POST['name'];
    $designation = $_POST['designation'];

    // File Upload Handling
    $img = $_FILES['image']['name'];

    // Insert data into the database
    $sql = "INSERT INTO testimonial (content, name,designation, image) VALUES (?, ?, ?, ?)";
    $stmt = $db->prepare($sql);

    if ($stmt) {
        $stmt->bind_param("ssss", $content, $name, $designation, $img);

        if ($stmt->execute()) {
            move_uploaded_file($_FILES['image']['tmp_name'], "assets/testimonialimages/" . $_FILES['image']['name']);
            echo "<script>
                alert('New Record Has Been Successfully Added');
                window.location.href = 'addtestimonial.php';
            </script>";

        } else {
            echo "Error executing the statement: " . $stmt->error . " SQL: " . $sql;

        }

        // Close the prepared statement
        $stmt->close();
    } else {
        echo "Error in the statement: ";
    }

}
// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("SELECT image FROM testimonial WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);
    $stmt->execute();
    $stmt->bind_result($imageToDelete);
    $stmt->fetch();
    $stmt->close();

    // Delete the record from the database
    $stmt = $db->prepare("DELETE FROM testimonial WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        // Remove the image file from the folder
        $target_dir = $DOC_ROOT . "assets/testimonialimages/";
        $fileToDelete = $target_dir . $imageToDelete;

        if (file_exists($fileToDelete)) {
            unlink($fileToDelete);
        }

        echo '<script>
            alert("Record and Image have Been Successfully Deleted");
            setTimeout(function() {
              window.location.href = "addtestimonial.php";
            }, 100); 
          </script>';
    } else {
        echo "Error deleting record: " . $stmt->error;
    }

    $stmt->close();
}

// Update Logic
if (isset($_POST['updateFilmBtn'])) {
    $idEdID = $_POST['id'];
    $content = mysqli_real_escape_string($db, $_POST['content']);
    $name = mysqli_real_escape_string($db, $_POST['name']);
    $designation = mysqli_real_escape_string($db, $_POST['designation']);

    $storyId = mysqli_real_escape_string($db, $idEdID);

    $target_dir = "assets/testimonialimages/";

    if (isset($_FILES['image']) && $_FILES['image']['error'] === UPLOAD_ERR_OK) {
        $tmpThumbnailPath = $_FILES['image']['tmp_name'];
        $thumbnailFilename = time() . '_' . $_FILES['image']['name'];
        $targetThumbnailFile = $target_dir . $thumbnailFilename;

        if (move_uploaded_file($tmpThumbnailPath, $targetThumbnailFile)) {
            $oldThumbnailPath = $target_dir . $oldThumbnail;
            if (file_exists($oldThumbnailPath)) {
                unlink($oldThumbnailPath);
            }

            $updateThumbnailSql = "UPDATE testimonial SET image = ? WHERE id = ?";
            $stmtThumbnail = mysqli_prepare($db, $updateThumbnailSql);

            if ($stmtThumbnail) {
                mysqli_stmt_bind_param($stmtThumbnail, "si", $thumbnailFilename, $storyId);
                if (!mysqli_stmt_execute($stmtThumbnail)) {
                    echo '<script>
                      alert("Error updating the thumbnail in the database.");
                      setTimeout(function() {
                          window.location.href = "addtestimonial.php";
                      }, 100); 
                  </script>';
                    exit();
                }
            } else {
                echo '<script>
                  alert("Error preparing the update statement for thumbnail.");
                  setTimeout(function() {
                      window.location.href = "addtestimonial.php";
                  }, 100); 
              </script>';
                exit();
            }
        } else {
            echo '<script>
              alert("Error uploading the thumbnail image.");
              setTimeout(function() {
                  window.location.href = "addtestimonial.php";
              }, 100); 
          </script>';
            exit();
        }
    }




    $updateSql = "UPDATE testimonial SET content = ?, name = ?, designation = ? WHERE id = ?";
    $stmt = mysqli_prepare($db, $updateSql);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, "sssi", $content, $name, $designation, $storyId);
        if (mysqli_stmt_execute($stmt)) {
            echo '<script>
                  alert("Record has been updated successfully.");
                  setTimeout(function() {
                      window.location.href = "addtestimonial.php";
                  }, 100); 
              </script>';
            exit();
        } else {
            echo '<script>
                  alert("Error updating the record in the database.");
                  setTimeout(function() {
                      window.location.href = "addtestimonial.php";
                  }, 100); 
              </script>';
            exit();
        }
    } else {
        echo '<script>
              alert("Error preparing the update statement.");
              setTimeout(function() {
                  window.location.href = "addtestimonial.php";
              }, 100); 
          </script>';
        exit();
    }
}
// Fetch data from the "posts" table
$query = "SELECT * FROM testimonial";
$result = mysqli_query($db, $query);

// Check if the query was successful
if (!$result) {
    die("Query failed: " . mysqli_error($db));
}

?>
<!-- Search Small Screens -->
<div class="navbar-search-wrapper search-input-wrapper  d-none">
    <input type="text" class="form-control search-input container-xxl border-0" placeholder="Search..."
        aria-label="Search...">
    <i class="bx bx-x bx-sm search-toggler cursor-pointer"></i>
</div>


</nav>



<!-- / Navbar -->



<!-- Content wrapper -->
<div class="content-wrapper">

    <!-- Content -->

    <div class="container-xxl flex-grow-1 container-p-y">


        <h4 class="py-3 mb-4">
            <span class="text-muted fw-light">Front-end web /</span> Testimonial
        </h4>
        <div class="row mb-4">
            <!-- Browser Default -->
            <div class="col-md-12 mb-4 mb-md-0">
            <?php
        if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
            $idEdit = $_GET['idEdit'];

            $filmId = mysqli_real_escape_string($db, $idEdit);
            $sql = "SELECT * FROM testimonial WHERE id = $filmId";
            $result = mysqli_query($db, $sql);

            if ($result && mysqli_num_rows($result) > 0) {
                $getFilmEdit = mysqli_fetch_assoc($result);
            }
            ?><div class="card">
            <h5 class="card-header">Update Testimonial</h5>
            <div class="card-body">
                <form action="addtestimonial.php" method="post" enctype="multipart/form-data">
                    <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-fullname">Full Name</label>
                                <div class="input-group input-group-merge">

                                    <input type="text" class="form-control" id="basic-icon-default-fullname"
                                        aria-label="John Doe" aria-describedby="basic-icon-default-fullname2"
                                        name="name" value="<?php echo $getFilmEdit['name']; ?>" />
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-fullname">Designation</label>
                                <div class="input-group input-group-merge">

                                    <input type="text" class="form-control" id="basic-icon-default-fullname"
                                        aria-label="Designation" aria-describedby="basic-icon-default-fullname2"
                                        name="designation" value="<?php echo $getFilmEdit['designation']; ?>" maxlength="200" />
                                </div>
                            </div>
                        </div>


                        <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-message">Write review</label>
                                <div class="input-group input-group-merge">
                                    <span id="basic-icon-default-message2" class="input-group-text"><i
                                            class="bx bx-comment"></i></span>
                                    <textarea id="basic-icon-default-message" class="form-control"
                                        aria-describedby="basic-icon-default-message2" name="content" required
                                        maxlength="200"><?php echo $getFilmEdit['content']; ?></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="mb-3">
                                <label for="formFile" class="form-label"> Upload Image</label>
                                <input class="form-control" type="file" id="image" name="image"
                                    onchange="galleryImage(this)" accept="image/*">
                            </div>
                        </div>
                        <div class="col-sm-3">
            <div class="form-group">
                <img src="assets/testimonialimages/<?php echo $getFilmEdit['image']; ?>" width='180px'>
            </div>
        </div>

                    </div>

                    <button type="submit" class="btn-lg btn-primary" name="updateFilmBtn">Submit</button>
                </form>

            </div>
        </div>

               <?php } else { ?>
                 <div class="card">
                    <h5 class="card-header">Add Testimonial</h5>
                    <div class="card-body">
                        <form action="addtestimonial.php" method="post" enctype="multipart/form-data">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label" for="basic-icon-default-fullname">Full Name</label>
                                        <div class="input-group input-group-merge">

                                            <input type="text" class="form-control" id="basic-icon-default-fullname"
                                                aria-label="John Doe" aria-describedby="basic-icon-default-fullname2"
                                                name="name" required />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label" for="basic-icon-default-fullname">Designation</label>
                                        <div class="input-group input-group-merge">

                                            <input type="text" class="form-control" id="basic-icon-default-fullname"
                                                aria-label="Designation" aria-describedby="basic-icon-default-fullname2"
                                                name="designation" required maxlength="200" />
                                        </div>
                                    </div>
                                </div>


                                <div class="col-md-12">
                                    <div class="mb-3">
                                        <label class="form-label" for="basic-icon-default-message">Write review</label>
                                        <div class="input-group input-group-merge">
                                            <span id="basic-icon-default-message2" class="input-group-text"><i
                                                    class="bx bx-comment"></i></span>
                                            <textarea id="basic-icon-default-message" class="form-control"
                                                aria-describedby="basic-icon-default-message2" name="content" required
                                                maxlength="200"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label for="formFile" class="form-label"> Upload Image</label>
                                        <input class="form-control" type="file" id="image" name="image"
                                            onchange="galleryImage(this)" accept="image/*">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <div class="form-group">

                                            <img id="gall_img" src="" style="width:180px;">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <button type="submit" class="btn-lg btn-primary" name="submit">Submit</button>
                        </form>

                    </div>
                </div>
                <hr class="my-5">

                <!-- Striped Rows -->
                <div class="card">
                    <h5 class="card-header">Testimonial List</h5>
                    <div class="table-responsive text-nowrap">
                        <table id="example" class="table table-striped table-bordered">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Image</th>
                                    <th>Name</th>
                                    <th>Designation</th>
                                    <th>Review</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $increment = 1;
                                foreach ($result as $row) { ?>
                                    <tr>
                                        <td>
                                            <?php echo $increment; ?>
                                        </td>
                                        <td>
                                            <?php
                                            $imagePath = "assets/testimonialimages/" . $row['image'];

                                            if (!empty($row['image']) && file_exists($imagePath)) {

                                                echo '<img src="' . $imagePath . '" alt="' . $row['name'] . '" style="width:20px;height:20px;border-radius:50%;">';
                                            } else {

                                                echo '<img src="../assets/images/user.png" alt="' . $row['name'] . '" style="width:50px;height:50px;border-radius:50%;">';
                                            }
                                            ?>

                                        </td>
                                        <td>
                                            <?php echo $row['name']; ?>
                                        </td>
                                        <td>
                                            <?php echo $row['designation']; ?>
                                        </td>
                                        <td>
                                            <?php echo $row['content']; ?>
                                        </td>
                                        <td>
                                        <a href="addtestimonial.php?idEdit=<?php echo $row['id']; ?>" class="dropdown-item btn btn-warning mb-2"
                                                title="Update"><i class="bx bx-edit-alt me-1"></i>Edit</a>
                                            <a class="dropdown-item btn btn-danger"
                                                href="addtestimonial.php?id=<?php echo $row['id']; ?>&delete=true"
                                                title="Delete" id="deleteitems"><i class="bx bx-trash me-1"></i> Delete</a>
                                        </td>
                                    </tr>
                                    <?php $increment++;
                                } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>

        <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
        <script type="text/javascript">
            function galleryImage(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
                    reader.onload = function (e) {
                        $('#gall_img').attr('src', e.target.result);
                    };
                    reader.readAsDataURL(input.files[0]);
                }
            }
            document.getElementById('image').addEventListener('change', function () {
                var fileInput = this;
                var maxSize = 200 * 1024; // 200Kb

                if (fileInput.files.length > 0) {
                    var file = fileInput.files[0];
                    if (file.size > maxSize) {
                        alert('Image size exceeds 200KB. Please choose a smaller image.');
                        fileInput.value = '';
                    }
                }
            });
            document.getElementById('deleteitems').addEventListener('click', function (event) {
                event.preventDefault();
                return swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this Data!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                }).then((willDelete) => {
                    if (willDelete) {
                        window.location.href = this.getAttribute("href");
                    } else {
                        swal("Your Data is safe!");
                    }
                });
            });
        </script>

        <?php include 'footer.php' ?>