<?php include 'header.php' ?>
<?php
include 'config.php';
$sql = "SELECT * FROM color";
$result = mysqli_query($db, $sql);

if (mysqli_num_rows($result) > 0) {
    $getAllSlider = mysqli_fetch_all($result, MYSQLI_ASSOC);
} else {
    $getAllSlider = array();
}

// Insertion Logic
if (isset($_POST['saveSliderBtn'])) {
    $checkSql = "SELECT COUNT(*) FROM color";
    $checkResult = mysqli_query($db, $checkSql);
    $existingCount = mysqli_fetch_row($checkResult)[0];
    
    $idEdit = isset($_POST['idEdit']) ? $_POST['idEdit'] : null;
    
    if ($existingCount == 0) {
        $menu = ucwords($_POST['hcolor']);
        $submenu = ucwords($_POST['fcolor']);
        $sql = "INSERT INTO color (hcolor, fcolor, added_on) VALUES (?, ?, current_timestamp())";

        $stmt = mysqli_prepare($db, $sql);

        mysqli_stmt_bind_param($stmt, "ss", $menu, $submenu);

        if (mysqli_stmt_execute($stmt)) {
            echo '<script>alert("Color added successfully");window.location.href="color-management.php"</script>';
        } else {
            echo '<script>alert("Something went wrong, Please try again.");window.location.href="color-management.php"</script>';
        }
        // Close the statement
        mysqli_stmt_close($stmt);
    } else {
            // Row exists, alert the message
            echo '<script>alert("Color already exists. Delete The Color And Insert New One.");</script>';
        }

        
    }



// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("DELETE FROM color WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        echo '<script>
            alert("Color Has Been Deleted successfully!");
            window.location.href = "color-management.php";
        </script>';
    } else {
        echo '<script>
            alert("Error deleting Color.");
            window.location.href = "color-management.php";
        </script>';
    }

    $stmt->close();
}

// Update Logic
if (isset($_POST['updateFilmBtn'])) {
    $idEdID = $_POST['id'];
    $hcolor = mysqli_real_escape_string($db, $_POST['hcolor']);
    $fcolor = mysqli_real_escape_string($db, $_POST['fcolor']);

    $storyId = mysqli_real_escape_string($db, $idEdID);


    $updateSql = "UPDATE color SET hcolor = ?, fcolor = ? WHERE id = ?";
    $stmt = mysqli_prepare($db, $updateSql);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, "ssi", $hcolor, $fcolor, $storyId);
        if (mysqli_stmt_execute($stmt)) {
            echo '<script>
                  alert("Record has been updated successfully.");
                  setTimeout(function() {
                      window.location.href = "color-management.php";
                  }, 100); 
              </script>';
            exit();
        } else {
            echo '<script>
                  alert("Error updating the record in the database.");
                  setTimeout(function() {
                      window.location.href = "color-management.php";
                  }, 100); 
              </script>';
            exit();
        }
    } else {
        echo '<script>
              alert("Error preparing the update statement.");
              setTimeout(function() {
                  window.location.href = "color-management.php";
              }, 100); 
          </script>';
        exit();
    }
}


?>
<!-- Content wrapper -->
<div class="content-wrapper">
    <!-- Content -->
    <div class="container-fluid">
        <div class="row">

            <div class="col-md-12">
                <div class="card card-primary card-outline">
                <?php
                    if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
                        $idEdit = $_GET['idEdit'];

                        $filmId = mysqli_real_escape_string($db, $idEdit);
                        $sql = "SELECT * FROM color WHERE id = $filmId";
                        $result = mysqli_query($db, $sql);

                        if ($result && mysqli_num_rows($result) > 0) {
                            $getFilmEdit = mysqli_fetch_assoc($result);
                        }
                        ?>

                            <div class="card-header d-flex justify-content-center align-items-center">
                                <h5 class="mb-0">Update Colors</h5>
                            </div>
                            <div class="card-body">

                                <form action="" method="post">
                                    <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                                    <div class="row">

                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="basic-icon-default-fullname">Header Color</label>
                                                <div class="input-group input-group-merge">

                                                    <input type="color" class="form-control" id="basic-icon-default-fullname"
                                                        name="hcolor" value="<?php echo $getFilmEdit['hcolor']; ?>" />

                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="basic-icon-default-company">Footer
                                                    Color</label>
                                                <input type="color" id="basic-icon-default-company" class="form-control"
                                                    name="fcolor" value="<?php echo $getFilmEdit['fcolor']; ?>" />

                                            </div>
                                        </div>

                                    </div>

                                    <div class="card-footer">
                                        <button type="submit" name="updateFilmBtn" class="btn btn-info btn-sm"><i
                                                class="fa fa-floppy-o"></i> Update</button>
                                        
                                    </div>
                                </form>
                            </div>
                    <?php } else { ?>
                    <div class="card-header" data-card-widget="collapse">
                        <h3 class="card-title">Add Color</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool">
                                <i class="fas fa-plus"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body p-4" style="display: block;;">
                        <form action="" method="post">

                            <div class="row">

                                <div class="form-group col-md-6">
                                    <label>Header Color</label>
                                    <input type="color" class="form-control" name="hcolor">
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Footer Color</label>
                                    <input type="color" class="form-control" name="fcolor">
                                </div>


                            </div>
                    </div>
                    <div class="card-footer">
                        <button type="submit" name="saveSliderBtn" class="btn btn-info float-right"><i
                                class="fa fa-floppy-o">
                            </i> Save</button>
                        <a href="color-management.php" class="btn btn-default"><i class="fa fa-refresh"> </i> Reset</a>
                    </div>
                    </form>
                </div>

                <div class="card card-primary card-outline">
                    <div class="card-header">
                        <h3 class="card-title">View Color</h3>
                    </div>
                    <form action="" method="post">
                        <div class="card-body table-responsive p-0" style="min-height: 300px;">
                            <table class="table table-head-fixed text-nowrap">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Heading color</th>
                                        <th>Footer Color</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $iiDD = 1;
                                    foreach ($getAllSlider as $key => $values) { ?>
                                        <tr>
                                            <td>
                                                <?php echo $iiDD++; ?>
                                            </td>
                                            <td>
                                                <?php echo $values['hcolor']; ?>
                                            </td>
                                            <td>
                                                <?php echo $values['fcolor']; ?>
                                            </td>



                                            <td>
                                            <a href="color-management.php?idEdit=<?php echo $values['id']; ?>" class="dropdown-item btn btn-warning btn-sm mb-2"
                                                title="Update"><i class="bx bx-edit-alt me-1"></i>Edit</a>
                                            <a class="dropdown-item deleteitems btn btn-danger btn-sm"
                                                            href="color-management.php?id=<?php echo $values['id']; ?>&delete=true"
                                                            title="Delete"><i class="bx bx-trash me-1"></i> Delete</a>
                                            </td>

                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </form>
                </div>
                <?php } ?>
            </div>
        </div>
        <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
        <script>

            const deleteItems = document.querySelectorAll('.deleteitems');
            deleteItems.forEach(function (element) {
                element.addEventListener('click', function (event) {
                    event.preventDefault();
                    return swal({
                        title: "Are you sure?",
                        text: "Once deleted, you will not be able to recover this Data!",
                        icon: "warning",
                        buttons: true,
                        dangerMode: true,
                    }).then((willDelete) => {
                        if (willDelete) {
                            window.location.href = this.getAttribute("href");
                        } else {
                            swal("Your Data is safe!");
                        }
                    });
                });
            });

        </script>
        <?php include 'footer.php' ?>