<?php
include 'header.php';
include 'config.php';

// Insertion logic
if (isset($_POST['submit'])) {
    $name = $_POST['name'];
    $mobile = $_POST['mobile'];
    $email = $_POST['email'];
    $highqualification = $_POST['highqualification'];
    $course = $_POST['course'];
    $duration = $_POST['duration'];
    $father = $_POST['father'];
    $mother = $_POST['mother'];
    $dob = $_POST['dob'];
    $altmobile = $_POST['altmobile'];
    $gender = $_POST['gender'];
    $address = $_POST['address'];
    $aadhar = $_POST['aadhar'];
    $postcode = $_POST['postcode'];
    $city = $_POST['city'];
    $minfees = $_POST['minfees'];
    $feesreceived = $_POST['feesreceived'];
    $balance = $_POST['balance'];
    $state = $_POST['state'];
    $abbr = $_POST['abbr'];
    $occupation = $_POST['occupation'];
    $caste = $_POST['caste'];
    $careof = $_POST['careof'];
    $awards = $_POST['awards'];
    $status = isset($_POST['status']) ? $_POST['status'] : 0;
    // File Upload Handling
    $img = $_FILES['image']['name'];
    $signature = $_FILES['signature']['name'];

    // Generate the registration number
    $currentYear = date('Y');
    $randomNumber = mt_rand(1000, 99999);
    $regNo = "CCZ-$currentYear-$randomNumber";

    $query = "SELECT COUNT(*) as count FROM students WHERE regno = ?";
    $stmt = $db->prepare($query);

    if ($stmt) {
        $stmt->bind_param("s", $regNo);
        $stmt->execute();
        $result = $stmt->get_result();
        $row = $result->fetch_assoc();
        $count = $row['count'];

        if ($count > 0) {
            echo "<script>alert('Duplicate Registration Number. Please try again.')</script>";
        } else {
            $sql = "INSERT INTO students (regno, name, mobile, altmobile, gender, address, aadhar, email, highqualification, course, duration, awards, minfees, feesreceived, balance, father, careof, mother, dob, abbr, state, city, postcode, caste, occupation, signature,status, image) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)";
            $stmt = $db->prepare($sql);

            if ($stmt) {
                // Updated bind_param with the correct placeholders for 27 values
                $stmt->bind_param("ssssssssssssssssssssssssssis", $regNo, $name, $mobile, $altmobile, $gender, $address, $aadhar, $email, $highqualification, $course, $duration, $awards, $minfees, $feesreceived, $balance, $father, $careof, $mother, $dob, $abbr, $state, $city, $postcode, $caste, $occupation, $signature, $status ,$img);


                if ($stmt->execute()) {
                    move_uploaded_file($_FILES['image']['tmp_name'], "assets/students/" . $_FILES['image']['name']);
                    move_uploaded_file($_FILES['signature']['tmp_name'], "assets/signature/" . $_FILES['signature']['name']);
                    echo "<script>
                                        alert('New Record Has Been Successfully Added');
                                        window.location.href = 'student.php';
                                    </script>";
                } else {
                    echo "Error executing the statement: " . $stmt->error . " SQL: " . $sql;
                }

                $stmt->close();
            } else {
                echo "Error in the statement: ";
            }
        }
    }
}


?>
<div class="content-wrapper">
    <div class="col-xl">

        <div class="card mb-4">
            <h4 class="p-3 mb-4">
                <span class="text-muted fw-light">Home/</span> Create Students
            </h4>
            <div class="card-body">
                <form action="" method="post" enctype="multipart/form-data">
                    <div class="row">
                        <input type="text" name="regno" hidden />
                        <div class="mb-3 col-md-6">
                            <label for="formFile" class="form-label">Profile Image</label>
                            <input class="form-control" type="file" id="image" name="image"
                                onchange="galleryImage(this)" accept="image/*" required>
                        </div>

                        <div class="mb-3 col-md-6">
                            <label for="formFile" class="form-label">Signature</label>
                            <input class="form-control" type="file" id="signature" name="signature" accept="image/*"
                                required>
                        </div>
                        <div>
                            <div class="form-group">
                                <label>Uploaded Image</label>
                                <img id="gall_img" src="" style="width:180px;">
                            </div>
                        </div>
                        <div class="col-md-2 mb-3">
                            <label class="form-label">
                                Abbr
                            </label>
                            <select name="abbr" class="form-control">
                                <option value="Mr">Mr</option>
                                <option value="Mrs">Mrs</option>
                            </select>
                        </div>
                        <div class="mb-3 col-md-5">
                            <label class="form-label" for="basic-icon-default-fullname">Student Name</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="name" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-5">
                            <label class="form-label" for="basic-icon-default-fullname">Student Phone Number</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="mobile" required />
                            </div>
                        </div>
                        <div class="col-md-2 mb-3">
                            <label class="form-label">
                                Care Of
                            </label>
                            <select name="careof" class="form-control">
                                <option value="S/O">S/O</option>
                                <option value="D/O">D/O</option>
                                <option value="W/O">W/O</option>
                            </select>
                        </div>
                        <div class="mb-3 col-md-5">
                            <label class="form-label" for="basic-icon-default-fullname">Father Name</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="father" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-5">
                            <label class="form-label" for="basic-icon-default-fullname">Mother Name</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="mother" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label" for="basic-icon-default-fullname">Alternate Phone Number</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="altmobile" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label" for="basic-icon-default-fullname">Email</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="email" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label" for="basic-icon-default-fullname">Gender</label>
                            <select name="gender" class="form-control" required>
                                <option value="Male">Male</option>
                                <option value="Female">Female</option>
                                <option value="Other">Other</option>
                            </select>

                        </div>

                        <div class="mb-3 col-md-6">
                            <label class="form-label" for="basic-icon-default-fullname">Highest Qualification</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="highqualification" required />
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label class="form-label" for="basic-icon-default-fullname">State</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="state" required />
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label class="form-label" for="basic-icon-default-fullname">City</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="city" required />
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label class="form-label" for="basic-icon-default-fullname">Post Code</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="postcode" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label" for="basic-icon-default-fullname">Permanent Address</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="address" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label" for="basic-icon-default-fullname">Aadhar Number</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="aadhar" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Date Of Birth</label>
                            <div class="input-group input-group-merge">

                                <input type="date" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="dob" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Caste</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="caste" required />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Occupation</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="occupation" required />
                            </div>
                        </div>
                        <hr>
                        <h3 class="text-center">Select Course</h3>
                        <?php
                        $results = $db->query("SELECT * FROM courses");

                        if ($results->num_rows > 0) {
                            ?>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Course</label>
                                    <select name="course" class="js-example-basic-single"
                                        onchange="updateDurationAndFees(this)">
                                        <option hidden>Select Course</option>
                                        <?php
                                        while ($row = $results->fetch_assoc()) {
                                            echo '<option value="' . $row['courses'] . '" data-duration="' . $row['courseduration'] . '" data-minfees="' . $row['minimumfees'] . '" data-coursesubject="' . $row['coursesubject'] . '" data-awards="' . $row['awards'] . '" data-cmrp="' . $row['cmrp'] . '" data-cprice="' . $row['cprice'] . '">' . $row['courses'] . '</option>';
                                        }
                                        ?>
                                    </select>

                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Course Duration (In Months)</label>
                                    <input class="form-control" id="durationInput" name="duration" readonly>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Course Subject</label>
                                    <input class="form-control" id="subjectInput" required readonly>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Awards</label>
                                    <input class="form-control" type="text" name="awards" id="awardsInput" required
                                        readonly>
                                </div>
                            </div>


                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label>Course Price</label>
                                    <input type="text" class="form-control" name="minfees" id="coursepriceInput" required
                                        readonly>
                                </div>
                            </div>
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label>Minimum Fees</label>
                                    <input class="form-control" id="minfeesInput" required readonly>
                                </div>
                            </div>
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label>Fees Received</label>
                                    <input type="text" class="form-control" name="feesreceived" id="feesReceivedInput"
                                        required oninput="updateBalance()">
                                </div>
                            </div>
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label>Balance</label>
                                    <input type="text" class="form-control" name="balance" id="balanceInput" required
                                        readonly>
                                </div>
                            </div>

                            <script>
                                function updateDurationAndFees(select) {
                                    var selectedOption = select.options[select.selectedIndex];
                                    document.getElementById("subjectInput").value = selectedOption.getAttribute("data-coursesubject");
                                    document.getElementById("durationInput").value = selectedOption.getAttribute("data-duration");
                                    document.getElementById("minfeesInput").value = selectedOption.getAttribute("data-minfees");
                                    document.getElementById("awardsInput").value = selectedOption.getAttribute("data-awards");
                                    var cprice = selectedOption.getAttribute("data-cprice");
                                    var cmrp = selectedOption.getAttribute("data-cmrp");

                                    document.getElementById("coursepriceInput").value = cprice !== '' ? cprice : cmrp;
                                }

                                function updateBalance() {
                                    var feesReceived = parseFloat(document.getElementById("feesReceivedInput").value) || 0;
                                    var minFees = parseFloat(document.getElementById("coursepriceInput").value) || 0;
                                    var balance = minFees - feesReceived;
                                    document.getElementById("balanceInput").value = balance.toFixed(2);
                                }
                            </script>
                            <?php
                        } else {
                            echo "No courses available.";
                        }
                        ?>


                        <div class="col-sm-8">

                            <button type="submit" class="btn btn-primary" name="submit">Submit</button>
                            <div class="d-inline mx-5 mt-2">
                                    <input class="checkbox-input" type="checkbox" name="status" value="1" />
                                    Typing Course
                            </div>
                        </div>
                        

                    </div>


                </form>

            </div>
        </div>

    </div>

    <script type="text/javascript">
        function galleryImage(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#gall_img').attr('src', e.target.result);
                };
                reader.readAsDataURL(input.files[0]);
            }
        }
        document.getElementById('image').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024;

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Image size exceeds 5MB. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });
        document.getElementById('signature').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024;

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Signature Image size exceeds 5MB. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });

    </script>

    <?php include 'footer.php' ?>