<?php include 'header.php' ?>
<?php
include 'config.php';

// Insetion logic
if (isset($_POST['submit'])) {
    // Check if a row already exists in the design table
    $checkSql = "SELECT COUNT(*) FROM design";
    $checkResult = mysqli_query($db, $checkSql);
    $existingCount = mysqli_fetch_row($checkResult)[0];
    if ($existingCount == 0) {
        // File Upload Handling
        $aimage = $_FILES['aimage']['name'];
        $cimage = $_FILES['cimage']['name'];
        $mimage = $_FILES['mimage']['name'];
        $idimage = $_FILES['idimage']['name'];

        // Insert data into the database
        $sql = "INSERT INTO design (mimage, cimage,aimage,idimage) VALUES (?, ?, ?, ?)";
        $stmt = $db->prepare($sql);

        if ($stmt) {
            $stmt->bind_param("ssss", $mimage, $cimage, $aimage, $idimage);

            if ($stmt->execute()) {
                move_uploaded_file($_FILES['mimage']['tmp_name'], "assets/certificatedesign/" . $_FILES['mimage']['name']);
                move_uploaded_file($_FILES['cimage']['tmp_name'], "assets/certificatedesign/" . $_FILES['cimage']['name']);
                move_uploaded_file($_FILES['aimage']['tmp_name'], "assets/certificatedesign/" . $_FILES['aimage']['name']);
                move_uploaded_file($_FILES['idimage']['tmp_name'], "assets/certificatedesign/" . $_FILES['idimage']['name']);
                echo "<script>
                alert('New Record Has Been Successfully Added');
                window.location.href = 'upload-design.php';
            </script>";

            } else {
                echo "Error executing the statement: " . $stmt->error . " SQL: " . $sql;

            }

            // Close the prepared statement
            $stmt->close();
        } else {
            echo "Error in the statement: ";
        }
    } else {
        // Row exists, alert the message
        echo '<script>alert("Designs already exists. Delete The Design And Insert New One.");</script>';
    }

}
//deletion logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("SELECT mimage, cimage, aimage,idimage FROM design WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);
    $stmt->execute();
    $stmt->bind_result($mimageToDelete, $cimageToDelete, $aimageToDelete, $idimageToDelete);
    $stmt->fetch();
    $stmt->close();

    $stmt = $db->prepare("DELETE FROM design WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        $target_dir = $DOC_ROOT . "assets/certificatedesign/";

        deleteImage($target_dir, $mimageToDelete);
        deleteImage($target_dir, $cimageToDelete);
        deleteImage($target_dir, $aimageToDelete);
        deleteImage($target_dir, $idimageToDelete);

        echo '<script>
                            alert("Images have Been Successfully Deleted");
                            setTimeout(function() {
                              window.location.href = "upload-design.php";
                            }, 100); 
                          </script>';
    } else {
        echo "Error deleting record: " . $stmt->error;
    }

    $stmt->close();
}

function deleteImage($target_dir, $imageName)
{
    $fileToDelete = $target_dir . $imageName;

    if (file_exists($fileToDelete)) {
        unlink($fileToDelete);
    }
}

$query = "SELECT * FROM design";
$result = mysqli_query($db, $query);

if (!$result) {
    die("Query failed: " . mysqli_error($db));
}

// Update logic
if (isset($_POST['updateFilmBtn'])) {
    $id = mysqli_real_escape_string($db, $_POST['id']);

    $cimage = null;
    $mimage = null;
    $aimage = null;
    $idimage = null;
    $updateQuery = "UPDATE design SET";
    $target_dir = 'assets/certificatedesign/';

    // Handle cimage
    handleImageUpload('cimage', $updateQuery, $id, $target_dir, $db);

    // Handle mimage
    handleImageUpload('mimage', $updateQuery, $id, $target_dir, $db);

    // Handle aimage
    handleImageUpload('aimage', $updateQuery, $id, $target_dir, $db);

    // Handle idimage
    handleImageUpload('idimage', $updateQuery, $id, $target_dir, $db);

    if ($updateQuery !== "UPDATE design SET") {
        $updateQuery .= " WHERE id = '$id'";

        if (mysqli_query($db, $updateQuery)) {
            echo '<script>
                alert("Record has Been Updated Successfully");
                setTimeout(function () {
                    window.location.href = "upload-design.php";
                }, 100); 
            </script>';
        } else {
            echo '<script>
                alert("Something Went Wrong");
                setTimeout(function () {
                    window.location.href = "upload-design.php";
                }, 100); 
            </script>';
        }
    } else {
        echo '<script>
            alert("Nothing updated");
            setTimeout(function () {
                window.location.href = "upload-design.php";
            }, 100); 
        </script>';
    }
}

// Function to handle image upload
function handleImageUpload($imageType, &$updateQuery, $id, $target_dir, $db)
{
    if (isset($_FILES[$imageType]) && $_FILES[$imageType]['error'] === UPLOAD_ERR_OK) {
        $data = time();
        $imageName = $data . '_' . $_FILES[$imageType]['name'];
        $target_file = $target_dir . $imageName;

        // Delete the old image, if it exists
        $oldImage = "SELECT $imageType FROM design WHERE id = '$id'";
        $oldImageResult = mysqli_query($db, $oldImage);
        $oldImageRow = mysqli_fetch_assoc($oldImageResult);

        if ($oldImageRow) {
            $oldImagePath = $target_dir . $oldImageRow[$imageType];
            if (file_exists($oldImagePath)) {
                unlink($oldImagePath);
            }
        }

        $updateQuery .= ($updateQuery !== "UPDATE design SET" ? ',' : '') . " $imageType = '$imageName'";

        // Move the uploaded file
        if (!move_uploaded_file($_FILES[$imageType]['tmp_name'], $target_file)) {
            echo '<script>
                alert("Error uploading the new ' . ucfirst($imageType) . ' image.");
            </script>';
        }
    }
}



?>
<div class="content-wrapper">
    <div class="col-xl">
        <?php
        if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
            $idEdit = $_GET['idEdit'];

            $filmId = mysqli_real_escape_string($db, $idEdit);
            $sql = "SELECT * FROM design WHERE id = $filmId";
            $result = mysqli_query($db, $sql);

            if ($result && mysqli_num_rows($result) > 0) {
                $getFilmEdit = mysqli_fetch_assoc($result);
            }
            ?>
            <div class="card mb-4">
                <h4 class="p-3 mb-4">
                    <span class="text-muted fw-light">Home/</span> Update Certificates Design
                </h4>
                <div class="card-body">
                    <form action="upload-design.php" method="post" enctype="multipart/form-data">
                    <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label">Certificate Image</label>
                                    <input class="form-control" type="file" id="cimage" name="cimage" accept="image/*">
                                </div>

                            </div>
                            <div class="col-md-4 mb-4">
                                <img src="assets/certificatedesign/<?php echo $getFilmEdit['cimage']; ?>" alt=""
                                    width="110px" height="120px">

                            </div>
                            <div class="col-md-8">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label">Marksheet Image</label>
                                    <input class="form-control" type="file" id="mimage" name="mimage" accept="image/*">
                                </div>

                            </div>
                            <div class="col-md-4 mb-4">
                                <img src="assets/certificatedesign/<?php echo $getFilmEdit['mimage']; ?>" alt=""
                                    width="110px" height="120px">

                            </div>
                            <div class="col-md-8">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label">Admission Form Image</label>
                                    <input class="form-control" type="file" id="aimage" name="aimage" accept="image/*">
                                </div>

                            </div>
                            <div class="col-md-4 mb-4">
                                <img src="assets/certificatedesign/<?php echo $getFilmEdit['aimage']; ?>" alt=""
                                    width="110px" height="120px">

                            </div>
                            <div class="col-md-8">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label">Identity Card Image</label>
                                    <input class="form-control" type="file" id="idimage" name="idimage" accept="image/*">
                                </div>

                            </div>
                            <div class="col-md-4">
                                <img src="assets/certificatedesign/<?php echo $getFilmEdit['idimage']; ?>" alt=""
                                    width="110px" height="120px">

                            </div>
                        </div>

                        <button type="submit" class="btn btn-primary" name="updateFilmBtn">Update</button>
                    </form>

                </div>
            </div>
        <?php } else { ?>
            <div class="card mb-4">
                <h4 class="p-3 mb-4">
                    <span class="text-muted fw-light">Home/</span> Add Certificates Design
                </h4>
                <div class="card-body">
                    <form action="upload-design.php" method="post" enctype="multipart/form-data">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label">Certificate Image</label>
                                    <input class="form-control" type="file" id="cimage" name="cimage" accept="image/*" required>
                                </div>

                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label">Marksheet Image</label>
                                    <input class="form-control" type="file" id="mimage" name="mimage" accept="image/*" required>
                                </div>

                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label">Admission Form Image</label>
                                    <input class="form-control" type="file" id="aimage" name="aimage" accept="image/*" required>
                                </div>

                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label">Identity Card Image</label>
                                    <input class="form-control" type="file" id="idimage" name="idimage" accept="image/*" required>
                                </div>

                            </div>
                        </div>

                        <button type="submit" class="btn btn-primary" name="submit">Submit</button>
                    </form>

                </div>
            </div>
            <div class="table-responsive">

                <table id="example" class="table table-striped table-bordered">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Marksheet Image</th>
                            <th>Certificate Image</th>
                            <th>Admission Image</th>
                            <th>IDCARD Image</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $increment = 1;
                        foreach ($result as $row) { ?>
                            <tr>
                                <td>
                                    <?php echo $increment; ?>
                                </td>
                                <td>
                                    <img src="assets/certificatedesign/<?php echo $row['mimage']; ?>" alt="design"
                                        style="width:130px;height:130px;">

                                </td>
                                <td>
                                    <img src="assets/certificatedesign/<?php echo $row['cimage']; ?>" alt="design"
                                        style="width:130px;height:130px;">

                                </td>
                                <td>
                                    <img src="assets/certificatedesign/<?php echo $row['aimage']; ?>" alt="design"
                                        style="width:130px;height:130px;">

                                </td>
                                <td>
                                    <img src="assets/certificatedesign/<?php echo $row['idimage']; ?>" alt="design"
                                        style="width:130px;height:130px;">

                                </td>

                                <td>
                                    <a class="dropdown-item btn btn-primary"
                                        href="upload-design.php?idEdit=<?php echo $row['id']; ?>"><i
                                            class="bx bx-edit me-1"></i> Update</a>
                                    <a class="dropdown-item btn btn-danger"
                                        href="upload-design.php?id=<?php echo $row['id']; ?>&delete=true" title="Delete"
                                        id="deleteitems"><i class="bx bx-trash me-1"></i> Delete</a>
                                </td>
                            </tr>
                            <?php $increment++;
                        } ?>
                    </tbody>
                </table>
            </div>
        <?php } ?>
    </div>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script type="text/javascript">

        document.getElementById('cimage').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024; // 5MB

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Image size exceeds 5MB. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });
        document.getElementById('mimage').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024; // 5MB

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Image size exceeds 5MB. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });
        document.getElementById('aimage').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024; // 5MB

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Image size exceeds 5MB. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });
        document.getElementById('deleteitems').addEventListener('click', function (event) {
            event.preventDefault();
            return swal({
                title: "Are you sure?",
                text: "Once deleted, you will not be able to recover this Data!",
                icon: "warning",
                buttons: true,
                dangerMode: true,
            }).then((willDelete) => {
                if (willDelete) {
                    window.location.href = this.getAttribute("href");
                } else {
                    swal("Your Data is safe!");
                }
            });
        });
    </script>

    <?php include 'footer.php' ?>