<?php
include 'config.php';

// Fetch the cimage file name from the database
$stmt = $db->prepare("SELECT cimage FROM design");
$stmt->execute();
$stmt->bind_result($cimageFileName);
$stmt->fetch();
$stmt->close();

$imagePath = "assets/certificatedesign/" . $cimageFileName;

// Fetch student data
if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
    $idEdit = $_GET['idEdit'];

    $filmId = mysqli_real_escape_string($db, $idEdit);
    $sql = "SELECT * FROM students WHERE id = $filmId";
    $result = mysqli_query($db, $sql);

    if ($result && mysqli_num_rows($result) > 0) {
        $getFilmEdit = mysqli_fetch_assoc($result);

        $stmt = $db->prepare("SELECT cimage FROM design");
        $stmt->execute();
        $stmt->bind_result($cimage);
        $stmt->fetch();
        $stmt->close();
    }
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Student Certificate</title>
    <style>
        /* Add your CSS styles here */
        body {
            text-align: center;
            text-transform:uppercase;
            font-weight:800;
        }

        .certificate-container {
            position: relative;
            width: 100%;
            max-width: 800px;
            margin: 0 auto;
        }
 #qrcode-container  {
            position: absolute;
           top: 47.8%;
    display: inline-block !important;
    left: 79.5%;
            transform: translate(-40%, -120%);
            text-transform: uppercase;

        }
        #qrcode-container img {
            position: absolute;
           top: 47.8%;
    display: inline-block !important;
    left: 79.5%;
            transform: translate(-40%, -120%);
            text-transform: uppercase;

        }
        img.certificate {
            width: 100%;
            height: auto;
            display: block;
        }

        img.student {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-40%, -160%);
            width: 110px;
    height: 122px;
            border: 1px solid black;
        }

        .signature {
            position: absolute;
                top: 51%;
    left: 49.5%;

            transform: translate(-40%, -130%);


        }

        .signature img {
            
            width: 138px;
    height: 53px;
            border: 1px solid black;
        }
        .studentname {
            position: absolute;
            top: 51%;
            left: 45%;
            transform: translate(-40%, -5%);
            font-size: 19px;
        }
        .aadhar {
            position: absolute;
            top: 54.5%;
            left: 45%;
            transform: translate(-40%, -5%);
        }
        .sitename {
            position: absolute;
            top: 58.5%;
            left: 45%;
            transform: translate(-40%, -5%);
        }

        .course {
            position: absolute;
            top: 66.5%;
    left: 50%;
    font-size: 13px;

            transform: translate(-40%, 100%);
        }

        .marks {
            position: absolute;
            top: 60.8%;
            left: 78%;
            transform: translate(-55%, 130%);

        }

        .grade {
            position: absolute;
            top: 60.8%;
            left: 58%;
            font-weight: bold;
            transform: translate(-55%, 130%);

        }
 
        .certificate-duration {
            position: absolute;
            top: 67.4%;
    left: 43%;
    font-size: 13px;
            width: 100%;
            transform: translate(-40%, 110%);
            
        }
        .sitename2 {
            position: absolute;
            top: 73.8%;
            left: 40%;
            width: 100%;
            transform: translate(-40%, 110%);
            
        }
        .regno {
            position: absolute;
            top: 79.3%;
            left: 40%;
            width: 100%;
            transform: translate(-40%, 110%);
        }
        .datofissue {
            position: absolute;
            top: 81.3%;
            left: 40%;
            width: 100%;
            transform: translate(-40%, 110%);
        }
        
    </style>
   
</head>

<body>
    <!-- Display the certificate image -->
    <div class="certificate-container">
        <!-- Container for the QR code -->
        <div id="qrcode-container"></div>

        <img src="<?php echo $imagePath; ?>" alt="Certificate" class="certificate">
        <div class="signature">
            <img src="assets/signature/<?php echo $getFilmEdit['signature']; ?>" width='180px' alt="Signature Image">
        </div>
        <!-- Display the student's image -->
        <?php if (isset($getFilmEdit['image'])): ?>
            <img src="assets/students/<?php echo $getFilmEdit['image']; ?>" alt="Student Image" class="student">
        <?php endif; ?>
        <p class="studentname">
            <?php echo $getFilmEdit['name'] . ' S/O ' . $getFilmEdit['father']; ?>
        </p>
        <p class="aadhar">
            Aadhar Card :
            <?php echo $getFilmEdit['aadhar'] ?>
        </p>
        <p class="regno">
            Certificate No :
            <?php echo $getFilmEdit['regno'] ?>
        </p>
        <p class="course">
            <?php echo $getFilmEdit['awards'] ?> In
            <?php echo $getFilmEdit['course'] ?> 
        </p>
        <p class="marks">
            <?php
            $totalMarks = explode(',', $getFilmEdit['tmarks']);
            $marksObtained = explode(',', $getFilmEdit['marksob']);
            $subjects = explode(',', $getFilmEdit['coursesubject']);
            $numberOfSubjects = count($subjects);
            $totalObtainedMarks = 0;
            $totalPossibleMarks = 0;

            function fetchMarksForSubject($subject, $db)
            {
                $subject = mysqli_real_escape_string($db, $subject);

                $sql = "SELECT marks FROM subjects WHERE subjectname = '$subject'";
                $result = mysqli_query($db, $sql);

                if ($result) {
                    $row = mysqli_fetch_assoc($result);

                    return ($row !== null) ? $row['marks'] : null;
                } else {
                    return null;
                }
            }

            for ($i = 0; $i < $numberOfSubjects; $i++) {
                $subject = trim($subjects[$i]);
                $subjectMarks = fetchMarksForSubject($subject, $db);

                $subjectMarks = ($subjectMarks !== null) ? $subjectMarks : 100;

                $totalPossibleMarks += ($subjectMarks !== null) ? 100 : 0;

            }

            for ($i = 0; $i < $numberOfSubjects; $i++) {

                $totalMarksValue = isset($totalMarks[$i]) ? intval($totalMarks[$i]) : 0;
                $marksObtainedValue = isset($marksObtained[$i]) ? intval($marksObtained[$i]) : 0;
                $totalValue = $totalMarksValue + $marksObtainedValue;


                $totalObtainedMarks += $totalValue;
            }

            // Calculate the percentage
            $overallPercentage = ($totalObtainedMarks / $totalPossibleMarks) * 100;
            echo round($overallPercentage, 2) . '% ';
            ?>
        </p>
        <p class="certificate-duration">
         (Course Duration
            <?php echo $getFilmEdit['duration']; ?> Months) <br>(  Course Period :
            <?php
            $ddate = $getFilmEdit['ddate'];
            ;

            $duration = $getFilmEdit['duration'];
            ;

            $startDate = new DateTime($ddate);

            $endDate = clone $startDate;
            $endDate->modify("-{$duration} months");

            // Format the dates
$formattedEndDate = $endDate->format("j F Y");
$formattedStartDate = $startDate->format("j F Y");

// Display the formatted dates
echo $formattedEndDate . " To " . $formattedStartDate;

            ?> )
        </p>
        <p class="datofissue">
            <?php

$query = "SELECT dt FROM result WHERE studentname = '{$getFilmEdit['regno']}'";
$result = mysqli_query($db, $query); 

if ($result) {
    $row = mysqli_fetch_assoc($result);

    if ($row) {
        echo "Date Of Issue: " . date('d F Y', strtotime($row['dt']));
    } else {
        echo "Result Not Generated Yet";
    }

    mysqli_free_result($result);
} else {
    echo "Query failed: " . mysqli_error($db); 
}
?>
        </p>
        <p class="grade">
            <?php
            if ($overallPercentage >= 85) {
                echo 'A+';
            } elseif ($overallPercentage >= 70) {
                echo 'A';
            } elseif ($overallPercentage >= 55) {
                echo 'B';
            } elseif ($overallPercentage >= 40) {
                echo 'C';
            } else {
                echo 'F';
            }
            ?>
        </p>
        <?php
        $logoSql = "SELECT * FROM logo";
        $logoResult = mysqli_query($db, $logoSql);
        $logoRow = mysqli_fetch_assoc($logoResult);

        ?>
        <p class="sitename">
            <?php echo $logoRow['sitename'] ?>
        </p>
        <?php
        $logoSql = "SELECT * FROM logo";
        $logoResult = mysqli_query($db, $logoSql);
        $logoRow = mysqli_fetch_assoc($logoResult);

        ?>
        <p class="sitename2">
            <?php echo $logoRow['sitename'] ?>
        </p>
    </div>
</body>
<script src="assets/qrcodejs-master/qrcode.min.js"></script>
<script>
    var url = "https://mrcomputercenter.in/generate-result.php?idresult=<?php echo $getFilmEdit['regno'] ?>";

    var qrcode = new QRCode(document.getElementById("qrcode-container"), {
        text: url,
        width: 115,
        height: 115,
    });
</script>
</html>