<?php 
include_once('include/header.php');
include('admin/config.php');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = $_POST['name'];
    $phone = $_POST['phone'];
    $email = $_POST['email'];
    $message = $_POST['message'];

    // Check if the email ending is valid (.com, .in, or .org)
    if (!preg_match('/\.(com|in|org)$/', $email)) {
        echo '<script>
            document.addEventListener("DOMContentLoaded", function() {
                Swal.fire({
                    title: "Error!",
                    text: "Please enter a valid email address.",
                    icon: "error",
                    confirmButtonText: "OK"
                });
            });
        </script>';
    } else {
        // Check if the checkbox for terms and conditions is checked
        if (isset($_POST['checkbox']) && $_POST['checkbox'] == '1') {
            $sql = "INSERT INTO contact (name, phone, email, message) VALUES (?, ?, ?, ?)";
            $stmt = $db->prepare($sql);

            if ($stmt->execute([$name, $phone, $email, $message])) {
                echo '<script>
                    document.addEventListener("DOMContentLoaded", function() {
                        Swal.fire({
                            title: "Thank You!",
                            text: "We Have Received Your Query. We Will Be In Touch Soon!",
                            icon: "success",
                            confirmButtonText: "OK"
                        }).then((result) => {
                            if (result.isConfirmed) {
                                window.location.href = "index.php";
                            }
                        });
                    });
                </script>';
            } else {
                echo 'Error: Unable to submit the form.';
            }
        } else {
            echo '<script>
                document.addEventListener("DOMContentLoaded", function() {
                    Swal.fire({
                        title: "Error!",
                        text: "Please check the Terms & Conditions box.",
                        icon: "error",
                        confirmButtonText: "OK"
                    });
                });
            </script>';
        }
    }
}
?>

        <!-- Page Banner Start -->
        <div class="section page-banner-section" style="background-image: url(assets/images/bg/page-banner.jpg);">
            <div class="shape-1">
                <img src="assets/images/shape/shape-7.png" alt="">
            </div>
            <div class="shape-2">
                <img src="assets/images/shape/shape-1.png" alt="">
            </div>
            <div class="shape-3"></div>
            <div class="container">
                <div class="page-banner-wrap">
                    <div class="row">
                        <div class="col-lg-12">
                            <!-- Page Banner Content Start -->
                            <div class="page-banner text-center">
                                <h2 class="title">Contact Us</h2>
                                <ul class="breadcrumb justify-content-center">
                                    <li class="breadcrumb-item"><a href="#">Home</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">Contact Us</li>
                                </ul>
                            </div>
                            <!-- Page Banner Content End -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page Banner End -->

        <!-- Contact Start -->
        <div class="section contact-section section-padding">
            <div class="container">
                <div class="row">
                    <div class="col-lg-4">
                        <div class="contact-info-wrap">
                            <h3 class="info-title">Contact with us</h3>
                            <!--Single Contact Info Start -->
                            <div class="single-contact-info">
                                <div class="info-icon">
                                    <i class="flaticon-phone-call"></i>
                                </div>
                                <div class="info-content">
                                    <h5 class="title">Telephone Number</h5>
                                    <p><?php echo $phoneLink; ?></p>
                                </div>
                            </div>
                            <!--Single Contact Info End -->
                            <!--Single Contact Info Start -->
                            <div class="single-contact-info">
                                <div class="info-icon">
                                    <i class="flaticon-email"></i>
                                </div>
                                <div class="info-content">
                                    <h5 class="title">Email</h5>
                                    <p><?php echo $emailLink; ?></p>
                                </div>
                            </div>
                            <!--Single Contact Info End -->
                            <!--Single Contact Info Start -->
                            <div class="single-contact-info">
                                <div class="info-icon">
                                    <i class="flaticon-pin"></i>
                                </div>
                                <div class="info-content">
                                    <h5 class="title">Office Location Address</h5>
                                    <p><?php echo $addressLink; ?></p>
                                </div>
                            </div>
                            <!--Single Contact Info End -->
                        </div>
                    </div>
                    <div class="col-lg-8">
                        <!-- Contact Form Wrap Start -->
                        <div class="contact-form-wrap">
                            <form method="POST" action="">
                                <div class="row">
                                    <div class="col-md-6">
                                        <!-- Single Form Start -->
                                        <div class="single-form">
                                            <input class="form-control" type="text" placeholder="Your Name" name="name" required>
                                        </div>
                                        <!-- Single Form End -->
                                    </div>
                                    
                                    <div class="col-md-6">
                                        <!-- Single Form Start -->
                                        <div class="single-form">
                                            <input class="form-control" type="text" placeholder="Your email*" name="email">
                                        </div>
                                        <!-- Single Form End -->
                                    </div>
                                    <div class="col-md-12">
                                        <!-- Single Form Start -->
                                        <div class="single-form">
                                            <input class="form-control" type="text" name="phone" placeholder="Enter Phone Number" oninput="validateInput(this)" required>
                                        </div>
                                        <!-- Single Form End -->
                                    </div>
                                    <div class="col-md-12">
                                        <!-- Single Form Start -->
                                        <div class="single-form">
                                            <textarea class="form-control" placeholder="Write A Message" oninput="validateInput(this)" name="message" required></textarea>
                                        </div>
                                        <!-- Single Form End -->
                                    </div>
                                    <div class="col-lg-12">
                                <div class="custom-checkbox mt-2">
                                    <input class="input-checkbox" type="checkbox" name="checkbox" id="checkbox1" value="1" required>
                                    <label class="form-check-label d-inline" for="checkbox1"><span> I agree with Appointly's <a href="#">Terms & Conditions</a> <span class="color-red">*</span> </span></label>
                                </div>
                            </div>
                                    <div class="col-md-12">
                                        <!--  Single Form Start -->
                                        <div class="form-btn">
                                            <button class="btn" type="submit">Send Message</button>
                                        </div>
                                        <!--  Single Form End -->
                                    </div>
                                </div>
                            </form>
                        </div>
                        <!-- Contact Form Wrap End -->
                    </div>
                </div>
            </div>
        </div>
        <!-- Contact End -->

        <!-- Contact Map Start -->
        <div class="section contact-map-section">
            <div class="contact-map-wrap">
            <?php echo stripslashes($iframe); ?>
            </div>
        </div>
        <!-- Contact Map End -->

   
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>

<script>
  function validateInput(inputElement) {
    const disallowedCharsRegex = /[?<>!;]/g;

    const inputValue = inputElement.value;

    const sanitizedValue = inputValue.replace(disallowedCharsRegex, '');

    inputElement.value = sanitizedValue;
  }
</script>

  <?php include_once('include/footer.php'); ?>