<?php include_once('include/header.php'); ?>
<?php
include 'admin/config.php';

// Get the requested URL
$current_url = $_SERVER['REQUEST_URI'];

$parts = explode('/', $current_url);
$productname = end($parts);
$productname = urldecode($productname);

$sql = "SELECT * FROM courses WHERE courses = ?";
$stmt = $db->prepare($sql);
$stmt->bind_param("s", $productname);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    ?>
    <!-- Page Banner Start -->
    <div class="section page-banner-section" style="background-image: url(assets/images/bg/page-banner.jpg);">
        <div class="shape-1">
            <img src="assets/images/shape/shape-7.png" alt="">
        </div>
        <div class="shape-2">
            <img src="assets/images/shape/shape-1.png" alt="">
        </div>
        <div class="shape-3"></div>
        <div class="container">
            <!-- Course Details Banner Content Start -->
            <div class="course-details-banner-content">

                <h2 class="title">
                    <?php echo $row["awards"]; ?> In 
                    <?php echo $row["courses"]; ?>
                </h2>

                <p class="text">
                <?php
$description = $row["description"];
$words = explode(' ', $description);
$shortDescription = implode(' ', array_slice($words, 0, 20));
echo $shortDescription;
?>


                </p>

            </div>

            <!-- Course Details Banner Content End -->
        </div>

    </div>
    <!-- Page Banner End -->

    <!-- Course Details Start -->

    <div class="section section-padding">
        <div class="container">

            <div class="row justify-content-between">
                <div class="col-xl-7 col-lg-8">
                    <ul class="nav">
                        <li><button class="active btn mx-1 btn-warning" data-bs-toggle="tab"
                                data-bs-target="#grid">Description</button></li>
                        <li><button data-bs-toggle="tab" data-bs-target="#list"
                                class=" btn mx-1 btn-warning">Curriculam</button></li>
                    </ul>
                    <!-- Course Details Wrapper Start -->
                    <div class="course-details-wrapper">
                        <div class="tab-content">
                            <div class="tab-pane fade show active" id="grid">
                                <div class="course-overview mt-5">
                                    <?php
                                    echo isset($row["description"]) ? $row["description"] : 'Course Details Not Found';
                                    ?>

                                </div>
                            </div>
                            <div class="tab-pane fade " id="list">
                                <div class="course-overview mt-5">
                                    <?php
                                    echo isset($row["subdescription"]) ? $row["subdescription"] : 'Course Details Not Found';
                                    ?>
                                </div>
                            </div>
                        </div>

                    </div>
                    <!-- Course Details Wrapper End -->

                </div>

                <div class="col-lg-4">
                    <!-- Sidebar Wrapper Start -->
                    <div class="sidebar-details-wrap">

                        <!-- Sidebar Details Video Description Start -->
                        <div class="sidebar-details-video-description">
                            <div class="sidebar-video">
                                <img src="admin/assets/course/<?php echo $row["image"]; ?>" alt="Course">

                            </div>
                            <div class="sidebar-description">
                                <div class="price-wrap">
                                    <span class="label">Price :</span>
                                    <div class="price">
                                        <span class="sale-price">₹
                                            <?php echo !empty($row["cprice"]) ? $row["cprice"] : 0; ?>
                                        </span>
                                        <span class="regular-price">₹
                                            <?php echo !empty($row["cmrp"]) ? $row["cmrp"] : 0; ?>
                                        </span>
                                    </div>
                                </div>
                                <ul class="description-list">
                                    <li><i class="flaticon-wall-clock"></i> Duration <span>
                                            <?php echo $row["courseduration"]; ?> Months
                                        </span></li>
                                    <li><i class="fas fa-sliders-h"></i> Awards <span>
                                            <?php echo $row["awards"]; ?>
                                        </span></li>
                                    <li><i class="far fa-file-alt"></i> Minimum Fees <span>₹
                                            <?php echo !empty($row["minimumfees"]) ? $row["minimumfees"] : 0; ?>
                                        </span></li>

                                </ul>
                                <a class="btn btn-warning w-100" href="#" data-toggle="modal"
                                    data-target="#enrollModal">Enroll Now</a>

                            </div>
                        </div>
                        <!-- Sidebar Details Video Description End -->


                    </div>
                    <!-- Sidebar Wrapper End -->
                </div>
            </div>


        </div>
    </div>
    <!-- Course Details End -->
    <?php
} else {
    ?>
    <!-- Page Banner Start -->
    <div class="section page-banner-section" style="background-image: url(assets/images/bg/page-banner.jpg);">
        <div class="shape-1">
            <img src="assets/images/shape/shape-7.png" alt="">
        </div>
        <div class="shape-2">
            <img src="assets/images/shape/shape-1.png" alt="">
        </div>
        <div class="shape-3"></div>
        <div class="container">
            <!-- Course Details Banner Content Start -->
            <div class="course-details-banner-content">

                <h2 class="title"><?php echo $productname ?></h2>

                <p class="text"><?php echo $productname ?></p>

            </div>

            <!-- Course Details Banner Content End -->
        </div>

    </div>
    <!-- Page Banner End -->

    <!-- Course Details Start -->

    <div class="section section-padding">
        <div class="container">

            <div class="row justify-content-between">
                <div class="col-md-12">
                   
                    <!-- Course Details Wrapper Start -->
                    <div class="course-details-wrapper">
                        <div class="course-overview mt-5">
                            <p class="text-danger">Course Details Not Found!!</p>

                        </div>
                    </div>
                    <!-- Course Details Wrapper End -->

                </div>

            </div>


        </div>
    </div>
    <!-- Course Details End -->
    <?php
}

$stmt->close();
?>


<?php include 'enrollnowmodal.php'; ?>

<?php include 'include/footer.php'; ?>