<?php
include_once('include/header.php');
include_once('admin/config.php');
$query = "SELECT image FROM slider";
$result = mysqli_query($db, $query);

$imageNames = array();

if ($result && mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_assoc($result)) {
        $imageNames[] = $row['image'];
    }
}
?>


<!-- Hero Start -->
<div id="carouselExampleIndicators" class="carousel slide" data-bs-ride="carousel">
    <div class="carousel-indicators">
        <?php for ($i = 0; $i < count($imageNames); $i++) { ?>
            <button type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide-to="<?php echo $i; ?>" <?php echo ($i === 0) ? 'class="active"' : ''; ?> aria-label="Slide <?php echo $i + 1; ?>"></button>
        <?php } ?>
    </div>
    <div class="carousel-inner">
        <?php foreach ($imageNames as $index => $image) { ?>
            <div class="carousel-item <?php echo ($index === 0) ? 'active' : ''; ?>">
                <img src="admin/assets/slider/<?php echo $image; ?>" class="d-block w-100" alt="...">
            </div>
        <?php } ?>
    </div>
    <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleIndicators"
        data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Previous</span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleIndicators"
        data-bs-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Next</span>
    </button>
</div>

<!-- Hero End -->
<!-- Popup Modal -->
<div class="modal fade" id="myModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <?php
            include 'admin/config.php';

            $logoSql = "SELECT * FROM advertisement LIMIT 1";
            $logoResult = mysqli_query($db, $logoSql);
            $logoRow = mysqli_fetch_assoc($logoResult);
            ?>
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">
                    <?php echo $logoRow['title'] ?>
                </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <a href="<?php echo $logoRow['link'] ?>">
                    <img src="admin/assets/advertisement/<?php echo $logoRow['description'] ?>" />
                </a>
            </div>
        </div>
    </div>
</div>

<!-- Home Content Start -->
<div class="section upstudy-brand-section section-padding">
    <div class="container">
        <div class="brand-wrap">
            <div class="row align-items-center">
                <?php


                // Fetch content from the home table
                $stmt = $db->prepare("SELECT image, title, description FROM home");
                $stmt->execute();
                $stmt->bind_result($homeImage, $homeTitle, $homeDescription);
                $stmt->fetch();
                $stmt->close();
                ?>
                <div class="col-lg-6">
                    <div class="brand-title-wrap">
                        <h2 class="title">
                            <?php echo $homeTitle; ?>
                        </h2>
                        <p>
                            <?php echo $homeDescription; ?>
                        </p>
                        <a href="courses.php" class="btn">Start Learning Now</a>
                    </div>
                </div>
                <div class="col-lg-6">
                    <img src="admin/assets/homecontent/<?php echo $homeImage; ?>" alt="Home Content">
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Home Content End -->

<!-- Courses Start -->
<div class="section upstudy-courses-section section-padding">
    <div class="shape-1">
        <svg xmlns="http://www.w3.org/2000/svg" width="894.5px" height="718.5px">
            <path
                d="M48.156,544.509 C64.534,603.904 12.951,766.86 238.584,698.280 C464.217,630.472 598.785,634.27 657.34,674.214 C757.251,743.356 940.642,708.949 878.541,444.905 C782.683,37.332 185.798,-131.815 64.798,119.817 C-56.201,371.449 31.778,485.114 48.156,544.509 Z" />
        </svg>
    </div>
    <div class="shape-2">
        <svg xmlns="http://www.w3.org/2000/svg" width="890px" height="714px">
            <path
                d="M843.343,170.989 C826.965,111.595 878.548,-50.587 652.915,17.219 C427.282,85.26 292.714,81.471 234.465,41.284 C134.248,-27.856 -49.142,6.549 12.958,270.593 C108.816,678.166 705.701,847.314 826.701,595.681 C947.701,344.48 859.721,230.384 843.343,170.989 Z" />
        </svg>
    </div>
    <div class="shape-3">
        <svg xmlns="http://www.w3.org/2000/svg" width="1000.5px" height="745.5px">
            <path
                d="M861.499,135.498 C825.499,85.498 817.499,-84.501 629.499,57.498 C441.499,199.498 297.499,273.498 245.499,225.498 C193.499,177.498 -184.500,227.498 117.499,517.499 C419.499,807.498 967.499,817.498 993.499,539.498 C1019.499,261.499 897.499,185.498 861.499,135.498 Z" />
        </svg>
    </div>
    <div class="container">
        <!-- Section Title Start -->
        <div class="section-title text-center">
            <h2 class="title"><span>Our</span> Courses</h2>
        </div>
        <!-- Section Title End -->
        <div class="courses-wrap">
            <div class="swiper-container courses-active">
                <div class="swiper-wrapper">
                    <?php
                    include("admin/config.php");

                    $sql = "SELECT * FROM courses";
                    $result = $db->query($sql);

                    if ($result->num_rows > 0) {
                        while ($row = $result->fetch_assoc()) {
                            $imagePath = 'admin/assets/course/' . $row['image'];
                            $cname = $row["courses"];
                            $encodedSubmenu = urlencode($cname);
                            echo '<div class="swiper-slide">
                                <!-- Single Courses Start -->
                                <div class="single-course">
                                    <div class="courses-image">
                                        <a href="course-detail.php/' . $encodedSubmenu . '"><img src="' . $imagePath . '" alt="Courses"></a>
                                    </div>
                                    <div class="courses-content">
                                        <div class="top-meta">
                                            <div class="tag-time">
                                                <a class="tag" href="#">' . $row["awards"] . '</a>
                                                <p class="time"><i class="far fa-clock"></i> ' . $row["courseduration"] . ' Months</p>
                                            </div>
                                            <span class="price">
                                            <span class="sale-price">₹' . $row["cprice"] . '</span> <del class="text-danger"> ₹' . $row["cmrp"] . '</del>
                                            </span>
                                        </div>
                                        <h3 class="title"><a href="course-detail.php/' . $encodedSubmenu . '">' . $row["awards"] . ' In ' . $row["courses"] . '</a></h3>
                                        <div class="courses-meta">
                                            <p class="author-name"><span>Minimum Fees: ₹' . $row["minimumfees"] . '</span></p>
                                            <div class="rating">
                                                <div class="rating-star">
                                                    <div class="rating-active" style="width: 60%;"></div>
                                                </div>
                                                <span>(4.5)</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Single Courses End -->
                            </div>';
                        }
                    } else {
                        echo "No Courses found.";
                    }

                    ?>

                </div>

                <!-- Add Pagination -->
                <div class="swiper-pagination"></div>
            </div>
        </div>
    </div>
</div>
<!-- Courses End -->
<!-- Toppers Start -->
<div class="section upstudy-team-section section-padding">
    <div class="section-title text-center">
        <h2 class="title">Meet Our <span> Toppers</span></h2>
    </div>
    <div class="container">
        <div class="team-wrap">
            <div class="row">
                <?php
                include("admin/config.php");

                $sql = "SELECT * FROM toppers LIMIT 12";
                $result = $db->query($sql);

                if ($result->num_rows > 0) {
                    while ($row = $result->fetch_assoc()) {
                        $imagePath = 'admin/assets/toppers/' . $row['image'];
                        $imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/images/user.png';
                        echo '<div class="col-lg-3 col-sm-6">
                            <!-- Single Team Start -->
                            <div class="single-team-02">
                                <div class="team-img">
                                    <a href="javascript:void()"><img src="' . $imageSrc . '" alt="' . $row["name"] . '"></a>
                                </div>
                                <div class="team-content text-center">
                                    
                                    <h3 class="name"><a href="javascript:void()">' . $row["name"] . '</a></h3>
                                    <p class="designation">' . $row["designation"] . '</p>
                                </div>
                            </div>
                            <!-- Single Team End -->
                        </div>';
                    }
                } else {
                    echo "No Teams found.";
                }

                ?>

            </div>
        </div>
    </div>
</div>
<!-- Toppers End -->
<!-- Testimonial Start  -->
<div class="section upstudy-testimonial-section-02 section-padding">
    <div class="shape-1"></div>
    <div class="shape-2"></div>
    <div class="container">
        <!-- Testimonial Wrap Start  -->
        <div class="testimonial-wrap-02">
            <div class="section-title text-center">
                <h2 class="title">Student <span> Reviews</span></h2>
            </div>
            <div class="testimonial-content-wrap-02">
                <div class="swiper-container testimonial-02-active">
                    <div class="swiper-wrapper">
                        <?php
                        include("admin/config.php");

                        $sql = "SELECT * FROM testimonial";
                        $result = $db->query($sql);

                        if ($result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) {
                                $imagePath = 'admin/assets/testimonialimages/' . $row['image'];
                                $imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/images/user.png';
                                echo '<div class="swiper-slide">
                                    <!--  Single Testimonial Start  -->
                                    <div class="single-testimonial-02">
                                        <div class="testimonial-thumb">
                                            <img src="' . $imageSrc . '" alt="' . $row["name"] . '" >
                                        </div>
                                        <div class="testimonial-content">
                                            <i class="flaticon-quote-left"></i>
                                            <p>' . $row["content"] . ' </p>
                                            <span class="name">' . $row["name"] . ' </span>
                                        </div>
                                    </div>
                                    <!--  Single Testimonial End  -->
                                </div>';
                            }
                        } else {
                            echo "No Testimonial found.";
                        }

                        ?>

                    </div>

                    <!-- Add Pagination -->
                    <div class="swiper-pagination"></div>
                </div>
            </div>
        </div>
        <!-- Testimonial Wrap End  -->
    </div>
</div>
<!-- Testimonial End  -->
<!-- Team Start -->
<div class="section upstudy-team-section section-padding">
    <div class="section-title text-center">
        <h2 class="title">Meet Our <span> Mentors</span></h2>
    </div>
    <div class="container">
        <div class="team-wrap">
            <div class="row">
                <?php
                include("admin/config.php");

                $sql = "SELECT * FROM team LIMIT 12";
                $result = $db->query($sql);

                if ($result->num_rows > 0) {
                    while ($row = $result->fetch_assoc()) {
                        $imagePath = 'admin/assets/teams/' . $row['image'];
                        $imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/images/user.png';
                        echo '<div class="col-lg-3 col-sm-6">
                            <!-- Single Team Start -->
                            <div class="single-team-02">
                                <div class="team-img">
                                    <a href="javascript:void()"><img src="' . $imageSrc . '" alt="' . $row["name"] . '"></a>
                                </div>
                                <div class="team-content text-center">
                                    
                                    <h3 class="name"><a href="javascript:void()">' . $row["name"] . '</a></h3>
                                    <p class="designation">' . $row["designation"] . '</p>
                                </div>
                            </div>
                            <!-- Single Team End -->
                        </div>';
                    }
                } else {
                    echo "No Teams found.";
                }

                ?>

            </div>
        </div>
    </div>
</div>
<!-- Team End -->


<?php include 'include/footer.php' ?>